Problem with Authorize.net and upgraded hosting

software development

#1

My site was moved to a new server that is 64 bit.
I had a simple authorize.net donation form that has worked for a long time but now results in the following error while trying to process a donation.
Can someone tell me how to correct this?

I downloaded the “loader” but its not clear to me how to get it to work on a Dreamhost account and fix the problem.

http://imbcr.org/donate/

ERROR TEXT

HP script /home/imbcr01/imbcr.org/donate/phpauthnet_sim.php is protected by
SourceGuardian and requires the SourceGuardian loader ixed.5.2.lin. The
SourceGuardian loader has not been installed, or is not installed correctly.
Please visit the SourceGuardian php encoder site to download required
loader.